commit:     3297c990c507035e989a30c03a499851f05b385d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 16 19:56:11 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 16 21:49:24 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3297c990

sci-libs/libh2oxx: Bump to EAPI 7

 ...{libh2oxx-9999.ebuild => libh2oxx-0.2-r1.ebuild} | 21 +++++++++++----------
 sci-libs/libh2oxx/libh2oxx-9999.ebuild              | 21 +++++++++++++++------
 2 files changed, 26 insertions(+), 16 deletions(-)

diff --git a/sci-libs/libh2oxx/libh2oxx-9999.ebuild 
b/sci-libs/libh2oxx/libh2oxx-0.2-r1.ebuild
similarity index 57%
copy from sci-libs/libh2oxx/libh2oxx-9999.ebuild
copy to sci-libs/libh2oxx/libh2oxx-0.2-r1.ebuild
index 8932ae68d34..7dcb50db90f 100644
--- a/sci-libs/libh2oxx/libh2oxx-9999.ebuild
+++ b/sci-libs/libh2oxx/libh2oxx-0.2-r1.ebuild
@@ -1,29 +1,30 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-
-AUTOTOOLS_AUTORECONF=yes
-
-inherit autotools-utils git-r3
+EAPI=7
 
 DESCRIPTION="C++ bindings for libh2o"
 HOMEPAGE="https://github.com/mgorny/libh2oxx/";
-SRC_URI=""
-EGIT_REPO_URI="https://github.com/mgorny/libh2oxx.git";
+SRC_URI="https://github.com/mgorny/libh2oxx/releases/download/${P}/${P}.tar.bz2";
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS=""
+KEYWORDS="~amd64 ~x86"
 IUSE="debug static-libs"
 
 RDEPEND=">=sci-libs/libh2o-0.2:0="
 DEPEND="${RDEPEND}"
 
 src_configure() {
-       local myeconfargs=(
+       local myconf=(
                $(use_enable debug)
+               $(use_enable static-libs static)
        )
 
-       autotools-utils_src_configure
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
 }

diff --git a/sci-libs/libh2oxx/libh2oxx-9999.ebuild 
b/sci-libs/libh2oxx/libh2oxx-9999.ebuild
index 8932ae68d34..a9e3eef7129 100644
--- a/sci-libs/libh2oxx/libh2oxx-9999.ebuild
+++ b/sci-libs/libh2oxx/libh2oxx-9999.ebuild
@@ -1,11 +1,9 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-AUTOTOOLS_AUTORECONF=yes
-
-inherit autotools-utils git-r3
+inherit autotools git-r3
 
 DESCRIPTION="C++ bindings for libh2o"
 HOMEPAGE="https://github.com/mgorny/libh2oxx/";
@@ -20,10 +18,21 @@ IUSE="debug static-libs"
 RDEPEND=">=sci-libs/libh2o-0.2:0="
 DEPEND="${RDEPEND}"
 
+src_prepare() {
+       default
+       eautoreconf
+}
+
 src_configure() {
-       local myeconfargs=(
+       local myconf=(
                $(use_enable debug)
+               $(use_enable static-libs static)
        )
 
-       autotools-utils_src_configure
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to